Manuel PHP
Précédent |  | Suivant

# SDO_Sequence::insert

(no version information, might be only in CVS)

SDO_Sequence::insert -- Ajoute dans une séquence

## Description

void SDO_Sequence::insert ( mixed value [, int sequenceIndex [, mixed propertyIdentifier]] )

Avertissement
Cette fonction est EXPERIMENTALE. Cela signifie que le comportement de cette fonction, son nom et concrètement, TOUT ce qui est documenté ici peut changer dans un futur proche, SANS PREAVIS! Soyez-en conscient, et utilisez cette fonction à vos risques et périls.

Insère un nouvel élément à une position spécifiée dans la séquence. Tous les items de la séquence suivant sont déplacés vers le haut.

## Liste de paramètres

value

  La nouvelle valeur à être insérée. Cela peut être soit une primitive soit un SDO_DataObject.

sequenceIndex

  La position à laquelle il faut insérer le nouvel élément. La valeur par défaut est `NULL`, ainsi la nouvelle valeur sera ajoutée à la suite de la séquence.

propertyIdentifier

  Soit une propriété index ou name, utilisée pour identifier une propriété dans la séquence correspondant à SDO_DataObject. Une valeur de `NULL` signifie un texte non structuré.

## Valeurs de retour

Aucune.

## Exceptions

SDO_IndexOutOfBoundsException

  Émis si l'index de la séquence est inférieur à zéro ou supérieur à la taille de la séquence.

SDO_InvalidConversionException

  Émis si le type de la nouvelle valeur ne correspond pas avec le type pour la propriété de l'objet de données spécifié.

Précédent | Sommaire | Suivant
SDO_Sequence::getPropertyName | Niveau supérieur | SDO_Sequence::move